Summary: Library for parsing, writing and creating XML
Name: libnxml
Version: 0.18.3
Release: 1
License: GPL
Group: Development/Libraries
URL: http://autistici.org/bakunin/codes.php
Source0: http://autistici.org/bakunin/%{name}/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: curl-devel >= 7.17.1
Requires: curl >= 7.17.1

%description
nXML is a C library for parsing, writing, and creating XML 1.0 and 1.1
files or streams. It supports UTF-8, UTF-16be and UTF-16le, UCS-4 (1234,
4321, 2143, 2312).

The library is available as 32-bit and 64-bit.


%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: curl-devel >= 7.17.1

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp src/.libs/libnxml.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/libnxml.a ./libnxml.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,0755)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Dec 21 2009 Michael Perzl <michael@perzl.org> - 0.18.3-1
- updated to version 0.18.3

* Tue Feb 26 2008 Michael Perzl <michael@perzl.org> - 0.18.2-1
- first version for AIX5L v5.1 and higher
